Subject: Setting bug meta-data via the web

From: Glenn Morris <[email-masked]>
Date: Mon, 18 Jan 2010 18:59:23 -0500

Package: debbugs.gnu.org
Severity: wishlist

Some people would like to be able to change bug meta-data via the web.
(This is of no interest to me personally.)

I think such a feature would be easy to abuse, so it would have to be
password protected. Either a single developer password that we could
share with people, or individual login accounts.

There should be some way to trace who make a given request. If we did
not have individual login accounts we'd have to ask people to enter
their email each time.

We would need: a radio box for severity, a set of check boxes for tags,
and perhaps a close button (if we want to allow this). Maybe a comment
box to allow reassigning to different packages (seems less important).

Setting the relevant data and hitting submit would generate a mail and
send it to control@debbugs. Without individual login accounts, the mails
would have to be held for moderation each time.